@echo off
rem Desktop, critical file and .INI boot time backup batch file for use in the
rem IBM OS/2 CONFIG.SYS file (recommended), Startup.Cmd file or from a Desktop
rem object icon. version 1.1
rem 
rem ................SEE COMMENTS AT BOTTOM...
echo ERA Computer Consulting Critical System Files Backup.
echo:
echo Making backup of OS2*.INI, Desktop and Critical Files...
echo Setting directories...
rem
rem ................THE DIRECTORY ENTRIES MUST BE EDITED BEFORE USE...
rem ................SEE COMMENTS AT BOTTOM...
rem
set bakdir=E:\Backup\DeskBack\D\     <-remove THIS comment from arrow change to an existing backup directory
rem set bakdir=D:\desktops\C\        <-example for desktop backup directory, directory must exist
rem set bakdir=D:\Backup\desktops\   <-example for desktop backup directory, directory must exist
set dskdir=D:\                       <-remove THIS comment from arrow and change the drive letter to the drive that contains your desktop
set dsknam=Desktop                   <-remove THIS comment from arrow and change the desktop name to that used on your system if needed
set zipdir=D:\Zip\                   <-remove THIS comment from arrow and change the zip directory to that used on your system if needed
rem
rem ................DO NOT MODIFY THE FOLLOWING THREE LINES UNLESS YOU
rem ................KNOW FOR CERTAIN WHAT YOU ARE DOING
rem
set inidir=%dskdir%OS2\
set prgdir=%dskdir%OS2\
set dlldir=%dskdir%os2\dll\
rem
rem ................DO NOT MODIFY BELOW THIS LINE UNLESS YOU
rem ................KNOW FOR CERTAIN WHAT YOU ARE DOING
rem
echo Checking directories...
rem
if not exist %bakdir%NUL goto error0
if not exist %dskdir%%dsknam%\NUL goto error1
if not exist %inidir%ini.rc goto error2
if not exist %prgdir%attrib.exe goto error3
if not exist %zipdir%zip.exe goto error4
rem
rem Section to remove R/O SYS HID attirb for backup of .INI files...
rem
echo Removing RO SYS HID attrib from critical files in %inidir% and %dskdir%...
rem
%prgdir%attrib.exe -r -s %inidir%os2.ini > NUL
%prgdir%attrib.exe -r -s %inidir%os2sys.ini > NUL
%prgdir%attrib.exe -r -h -s %dskdir%ea?data.?sf > NUL
%prgdir%attrib.exe -h -s %dskdir%wp?root.?sf > NUL
rem
rem Section to backup Desktop...
rem
echo Removing RO attrib from *.ZI* files in %bakdir% if they exist...
rem
if exist %bakdir%*.zi* %prgdir%attrib.exe -r %bakdir%*.zi*
rem
echo Making copies of desktop zip files in %bakdir%...
rem
if not exist %bakdir%desktop.zip goto firsttime
if exist %bakdir%desktop.zi9 erase %bakdir%desktop.zi9 > NUL
if exist %bakdir%desktop.zi8 rename %bakdir%desktop.zi8 desktop.zi9 > NUL
if exist %bakdir%desktop.zi7 rename %bakdir%desktop.zi7 desktop.zi8 > NUL
if exist %bakdir%desktop.zi6 rename %bakdir%desktop.zi6 desktop.zi7 > NUL
if exist %bakdir%desktop.zi5 rename %bakdir%desktop.zi5 desktop.zi6 > NUL
if exist %bakdir%desktop.zi4 rename %bakdir%desktop.zi4 desktop.zi5 > NUL
if exist %bakdir%desktop.zi3 rename %bakdir%desktop.zi3 desktop.zi4 > NUL
if exist %bakdir%desktop.zi2 rename %bakdir%desktop.zi2 desktop.zi3 > NUL
if exist %bakdir%desktop.zi1 rename %bakdir%desktop.zi1 desktop.zi2 > NUL
if exist %bakdir%desktop.zi0 rename %bakdir%desktop.zi0 desktop.zi1 > NUL
if exist %bakdir%desktop.zip rename %bakdir%desktop.zip desktop.zi0 > NUL
:firsttime
rem
echo Zipping desktop and critical files to %bakdir%...
rem
if exist  %dskdir%ea?data.?sf %zipdir%zip.exe -qrS6 %bakdir%desktop.zip %dskdir%auto*.bat %dskdir%config.* %dskdir%startup.cmd %dskdir%ea?data.?sf %dskdir%wp?root.?sf %inidir%os2.ini %inidir%os2sys.ini %dlldir%dock*.cfg %dlldir%SCENTER.CFG %dskdir%%dsknam%
if not exist  %dskdir%ea?data.?sf %zipdir%zip.exe -qrS6 %bakdir%desktop.zip %dskdir%auto*.bat %dskdir%config.* %dskdir%startup.cmd %dskdir%wp?root.?sf %inidir%os2.ini %inidir%os2sys.ini %dlldir%dock*.cfg %dlldir%SCENTER.CFG %dskdir%%dsknam%
rem
echo Setting RO attrib for .ZI* files in %bakdir%...
rem
%prgdir%attrib.exe +r %bakdir%*.zi*
echo:
echo Resetting RO SYS HID attrib for critical files...
%prgdir%attrib.exe +r +s %inidir%os2.ini > NUL
%prgdir%attrib.exe +r +s %inidir%os2sys.ini > NUL
%prgdir%attrib.exe +r +h +s %dskdir%ea?data.?sf > NUL
%prgdir%attrib.exe +h +s %dskdir%wp?root.?sf > NUL
goto end

:error0
echo The backup directory %bakdir% does not exist. Please create it or
echo verify it's existence before running %0.
echo Press a key...
pause>nul
goto end

:error1
echo %dskdir% does not contain the desktop from what I can tell. Please verify
echo that this is correct before running %0.
echo Press a key...
pause>nul
goto end

:error2
echo %inidir% is not the directory for your WPS .INI files as far as I can tell.
echo I checked this by looking for the ini.rc file. If this file was deleted
echo please restore it or create a "dummy" ini.rc file in the directory with
echo your os2.ini and os2sys.ini files.
echo Please check this before running %0.
echo Press a key...
pause>nul
goto end

:error3
echo As far as I can tell %prgdir% does not contain the attrib.exe program. This
echo is necessary for %0 to run.
echo Press a key...
pause>nul
goto end

:error4
echo I cannot find %zipdir%zip.exe so %0 will now terminate.
echo Please check for the location of zip.exe and insert the correct directory
echo in place of %zipdir%.
echo Press a key...
pause>nul
goto end

:end
exit
rem Written by Gene Alexander, ERA Computer Consulting
rem Contacting: os2support@eracc.hypermart.net
rem   Web Site: http://eracc.hypermart.net/
rem revisions: 06/11/1998, 06/12/1998, 07/20/1998, 12/28/1999, 03/23/2001
rem
rem This requires the Info-ZIP zip.exe program to backup the desktop. The
rem Info-ZIP unzip.exe program will be needed to recover your files in the
rem unlikely (ha ha) event they get trashed. Info-ZIP programs are free,
rem are available for many platforms and the source code is available for
rem free as well.
rem
rem As of the date this was written Info-ZIP files can be found at the 
rem following URL:
rem 
rem ftp://ftp.cdrom.com/pub/infozip/Info-ZIP.html
rem
rem This is informational only as we have provided the zip.exe and unzip.exe
rem files with this batch file.
rem 
rem COMMENTS
rem 
rem bakdir= The directory in which to store the backup files
rem dskdir= The desktop directory (your boot drive: C:\, F:\, etc.)
rem inidir= The .INI directory
rem prgdir= The program directory containing OS/2 command line executables
rem zipdir= The directory containing Info-ZIP's zip.exe
rem 
rem ALL directories must have a trailing backslash for the batch file to work.
rem Should you forget to add the backslash the batch file should recover and
rem exit gracefully but may hang your boot process requiring user intervention.
rem 
rem This process may require 20 megabytes or more on the drive to which the
rem backups are made. Be sure to have plenty of free space available on the
rem backup partition.
rem 
rem REQUIRED FILES TO RUN THIS BATCH FILE
rem
rem ATTRIB.EXE, ZIP.EXE
